Bug 602303 - --telnet option requires an argument
Summary: --telnet option requires an argument
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: pykickstart (Show other bugs)
(Show other bugs)
Version: 6.0
Hardware: All Linux
low
medium
Target Milestone: rc
: ---
Assignee: Chris Lumens
QA Contact: Release Test Team
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 582286
TreeView+ depends on / blocked
 
Reported: 2010-06-09 14:49 UTC by Alexander Todorov
Modified: 2010-11-10 21:22 UTC (History)
0 users

Fixed In Version: pykickstart-1.74-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 21:22:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alexander Todorov 2010-06-09 14:49:44 UTC
Description of problem:

With a ks.cfg file containing:
firewall --enabled --telnet

# ksvalidator telnet.ks 
The following problem occurred on line 1 of the kickstart file:

--telnet option requires an argument


This also causes anaconda to abort if used during install. This option doesn't seem to require arguments. Other options such as --http, --ftp work as expected.

Version-Release number of selected component (if applicable):
pykickstart-1.73-1.el6.noarch

How reproducible:
Always

Steps to Reproduce:
1. Use a ks.cfg with "firewall --enabled --telnet"
2.
3.
  
Actual results:
Error

Expected results:
No error

Additional info:

Comment 2 Alexander Todorov 2010-07-02 15:55:59 UTC
With pykickstart-1.74-1.el6.noarch

# ksvalidator ks.cfg 
Ignoring deprecated option on line 8:  The --telnet option has been deprecated and no longer has any effect.  It may be removed from future releases, which will result in a fatal error from kickstart.  Please modify your kickstart file to remove this option.

# echo $?
0


Using this ks.cfg with anaconda has no effect. Moving to VERIFIED.

Comment 3 releng-rhel@redhat.com 2010-11-10 21:22:36 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.